com.genesyslab.wfm8.API.service.calendar800

## Class CalItemInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar800.CalItemInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalItemInformation
      extends java.lang.Object
      implements java.io.Serializable

  Calendar Item information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `activities` Activity array associated with the item if any
    `protected int` | `activitiesArraySize` Activity array size
    `protected int` | `actualStatus` Calendar item actual (resolved) status
    `protected java.lang.String` | `actualStatusDescription` Reason description if item was declined
    `protected int` | `agentId` Agent ID
    `protected java.lang.String` | `comment` Descriptive text of the item
    `protected double` | `date` Calendar item date
    `protected int` | `duration` Calendar item duration
    `protected double` | `endTime` Calendar item (resolved) end time
    `protected int` | `flag` Calendar item flag `ECalFlags`
    `protected int` | `fullDay` Full day indicator
    `protected int` | `item` Calendar item type `ECalItems`
    `protected int` | `itemId` Calendar item ID if any
    `protected java.lang.String` | `itemName` Calendar item name (Shift name for Shift items)
    `protected java.lang.String` | `itemShortName` Abbreviated item name
    `protected int` | `itemType` Calendar item type
    `protected int` | `paidTime` Calendar item (resolved) paid duration
    `protected double` | `savedEndTime` Calendar item end time saved to DB
    `protected int` | `savedPaidTime` Calendar item paid duration saved to DB
    `protected double` | `savedStartTime` Calendar item start time saved to DB
    `protected int` | `savedStatus` Saved (requested) Calendar item status
    `private static long` | `serialVersionUID`
    `protected int` | `siteId` Site ID
    `protected double` | `startTime` Calendar item (resolved) start time
    `protected double` | `submitDate` Date and time the Calendar item was submitted
    `protected long` | `timestamp` Timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalItemInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getActivities()` Gets the activities value for this CalItemInformation.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this CalItemInformation.
    `int` | `getActualStatus()` Gets the actualStatus value for this CalItemInformation.
    `java.lang.String` | `getActualStatusDescription()` Gets the actualStatusDescription value for this CalItemInformation.
    `int` | `getAgentId()` Gets the agentId value for this CalItemInformation.
    `java.lang.String` | `getComment()` Gets the comment value for this CalItemInformation.
    `double` | `getDate()` Gets the date value for this CalItemInformation.
    `int` | `getDuration()` Gets the duration value for this CalItemInformation.
    `double` | `getEndTime()` Gets the endTime value for this CalItemInformation.
    `int` | `getFlag()` Gets the item value for this CalItemShortInformation.
    `int` | `getFullDay()` Gets the item value for this CalItemShortInformation.
    `int` | `getItem()` Gets the item value for this CalItemInformation.
    `int` | `getItemId()` Gets the itemId value for this CalItemInformation.
    `java.lang.String` | `getItemName()` Gets the itemName value for this CalItemInformation.
    `java.lang.String` | `getItemShortName()` Gets the itemShortName value for this CalItemInformation.
    `int` | `getItemType()` Gets the itemType value for this CalItemInformation.
    `int` | `getPaidTime()` Gets the paidTime value for this CalItemInformation.
    `double` | `getSavedEndTime()` Gets the savedEndTime value for this CalItemInformation.
    `int` | `getSavedPaidTime()` Gets the savedPaidTime value for this CalItemInformation.
    `double` | `getSavedStartTime()` Gets the savedStartTime value for this CalItemInformation.
    `int` | `getSavedStatus()` Gets the savedStatus value for this CalItemInformation.
    `int` | `getSiteId()` Gets the siteId value for this CalItemInformation.
    `double` | `getStartTime()` Gets the startTime value for this CalItemInformation.
    `double` | `getSubmitDate()` Gets the submitDate value for this CalItemInformation.
    `long` | `getTimestamp()` Gets the timestamp value for this CalItemShortInformation.
    `int` | `hashCode()`
    `void` | `setActivities(java.util.List<java.lang.Integer> activities)` Sets the activities value for this CalItemInformation.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this CalItemInformation.
    `void` | `setActualStatus(int actualStatus)` Sets the actualStatus value for this CalItemInformation.
    `void` | `setActualStatusDescription(java.lang.String actualStatusDescription)` Sets the actualStatusDescription value for this CalItemInformation.
    `void` | `setAgentId(int agentId)` Sets the agentId value for this CalItemInformation.
    `void` | `setComment(java.lang.String comment)` Sets the comment value for this CalItemInformation.
    `void` | `setDate(double date)` Sets the date value for this CalItemInformation.
    `void` | `setDuration(int duration)` Sets the duration value for this CalItemInformation.
    `void` | `setEndTime(double endTime)` Sets the endTime value for this CalItemInformation.
    `void` | `setFlag(int flag)` Sets the item value for this CalItemShortInformation.
    `void` | `setFullDay(int fullDay)` Sets the item value for this CalItemShortInformation.
    `void` | `setItem(int item)` Sets the item value for this CalItemInformation.
    `void` | `setItemId(int itemId)` Sets the itemId value for this CalItemInformation.
    `void` | `setItemName(java.lang.String itemName)` Sets the itemName value for this CalItemInformation.
    `void` | `setItemShortName(java.lang.String itemShortName)` Sets the itemShortName value for this CalItemInformation.
    `void` | `setItemType(int itemType)` Sets the itemType value for this CalItemInformation.
    `void` | `setPaidTime(int paidTime)` Sets the paidTime value for this CalItemInformation.
    `void` | `setSavedEndTime(double savedEndTime)` Sets the savedEndTime value for this CalItemInformation.
    `void` | `setSavedPaidTime(int savedPaidTime)` Sets the savedPaidTime value for this CalItemInformation.
    `void` | `setSavedStartTime(double savedStartTime)` Sets the savedStartTime value for this CalItemInformation.
    `void` | `setSavedStatus(int savedStatus)` Sets the savedStatus value for this CalItemInformation.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this CalItemInformation.
    `void` | `setStartTime(double startTime)` Sets the startTime value for this CalItemInformation.
    `void` | `setSubmitDate(double submitDate)` Sets the submitDate value for this CalItemInformation.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalItemShortInformation.
    `java.lang.String` | `toString()`
    `CalItemInformation` | `withActivities(java.util.Collection<java.lang.Integer> values)`
    `CalItemInformation` | `withActivities(java.lang.Integer... values)`
    `CalItemInformation` | `withActivitiesArraySize(int value)`
    `CalItemInformation` | `withActualStatus(int value)`
    `CalItemInformation` | `withActualStatusDescription(java.lang.String value)`
    `CalItemInformation` | `withAgentId(int value)`
    `CalItemInformation` | `withComment(java.lang.String value)`
    `CalItemInformation` | `withDate(double value)`
    `CalItemInformation` | `withDuration(int value)`
    `CalItemInformation` | `withEndTime(double value)`
    `CalItemInformation` | `withFlag(int value)`
    `CalItemInformation` | `withFullDay(int value)`
    `CalItemInformation` | `withItem(int value)`
    `CalItemInformation` | `withItemId(int value)`
    `CalItemInformation` | `withItemName(java.lang.String value)`
    `CalItemInformation` | `withItemShortName(java.lang.String value)`
    `CalItemInformation` | `withItemType(int value)`
    `CalItemInformation` | `withPaidTime(int value)`
    `CalItemInformation` | `withSavedEndTime(double value)`
    `CalItemInformation` | `withSavedPaidTime(int value)`
    `CalItemInformation` | `withSavedStartTime(double value)`
    `CalItemInformation` | `withSavedStatus(int value)`
    `CalItemInformation` | `withSiteId(int value)`
    `CalItemInformation` | `withStartTime(double value)`
    `CalItemInformation` | `withSubmitDate(double value)`
    `CalItemInformation` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### agentId

          protected int agentId

      Agent ID

    - #### date

          protected double date

      Calendar item date

    - #### item

          protected int item

      Calendar item type `ECalItems`

    - #### itemId

          protected int itemId

      Calendar item ID if any

    - #### startTime

          protected double startTime

      Calendar item (resolved) start time

    - #### duration

          protected int duration

      Calendar item duration

    - #### endTime

          protected double endTime

      Calendar item (resolved) end time

    - #### paidTime

          protected int paidTime

      Calendar item (resolved) paid duration

    - #### actualStatus

          protected int actualStatus

      Calendar item actual (resolved) status

    - #### actualStatusDescription

          protected java.lang.String actualStatusDescription

      Reason description if item was declined

    - #### savedStatus

          protected int savedStatus

      Saved (requested) Calendar item status

    - #### itemName

          protected java.lang.String itemName

      Calendar item name (Shift name for Shift items)

    - #### itemShortName

          protected java.lang.String itemShortName

      Abbreviated item name

    - #### itemType

          protected int itemType

      Calendar item type

    - #### submitDate

          protected double submitDate

      Date and time the Calendar item was submitted

    - #### comment

          protected java.lang.String comment

      Descriptive text of the item

    - #### flag

          protected int flag

      Calendar item flag `ECalFlags`

    - #### savedStartTime

          protected double savedStartTime

      Calendar item start time saved to DB

    - #### savedEndTime

          protected double savedEndTime

      Calendar item end time saved to DB

    - #### savedPaidTime

          protected int savedPaidTime

      Calendar item paid duration saved to DB

    - #### fullDay

          protected int fullDay

      Full day indicator

    - #### activitiesArraySize

          protected int activitiesArraySize

      Activity array size

    - #### activities

          protected java.util.List<java.lang.Integer> activities

      Activity array associated with the item if any

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CalItemInformation

          public CalItemInformation()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this CalItemInformation.
      Returns:
        siteId Site ID

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this CalItemInformation.
      Parameters:
        `siteId` - Site ID

    - #### getAgentId

          public int getAgentId()

      Gets the agentId value for this CalItemInformation.
      Returns:
        agentId Agent ID

    - #### setAgentId

          public void setAgentId(int agentId)

      Sets the agentId value for this CalItemInformation.
      Parameters:
        `agentId` - Agent ID

    - #### getDate

          public double getDate()

      Gets the date value for this CalItemInformation.
      Returns:
        date Calendar item date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this CalItemInformation.
      Parameters:
        `date` - Calendar item date

    - #### getItem

          public int getItem()

      Gets the item value for this CalItemInformation.
      Returns:
        item Calendar item type
      See Also:
        `ECalItems`

    - #### setItem

          public void setItem(int item)

      Sets the item value for this CalItemInformation.
      Parameters:
        `item` - Calendar item type
      See Also:
        `ECalItems`

    - #### getItemId

          public int getItemId()

      Gets the itemId value for this CalItemInformation.
      Returns:
        itemId Calendar item ID if any

    - #### setItemId

          public void setItemId(int itemId)

      Sets the itemId value for this CalItemInformation.
      Parameters:
        `itemId` - Calendar item ID if any

    - #### getStartTime

          public double getStartTime()

      Gets the startTime value for this CalItemInformation.
      Returns:
        startTime Calendar item start time

    - #### setStartTime

          public void setStartTime(double startTime)

      Sets the startTime value for this CalItemInformation.
      Parameters:
        `startTime` - Calendar item start time

    - #### getDuration

          public int getDuration()

      Gets the duration value for this CalItemInformation.
      Returns:
        duration Calendar item duration

    - #### setDuration

          public void setDuration(int duration)

      Sets the duration value for this CalItemInformation.
      Parameters:
        `duration` - Calendar item duration

    - #### getEndTime

          public double getEndTime()

      Gets the endTime value for this CalItemInformation.
      Returns:
        endTime Calendar item end time

    - #### setEndTime

          public void setEndTime(double endTime)

      Sets the endTime value for this CalItemInformation.
      Parameters:
        `endTime` - Calendar item end time

    - #### getPaidTime

          public int getPaidTime()

      Gets the paidTime value for this CalItemInformation.
      Returns:
        paidTime Calendar item paid duration

    - #### setPaidTime

          public void setPaidTime(int paidTime)

      Sets the paidTime value for this CalItemInformation.
      Parameters:
        `paidTime` - Calendar item paid duration

    - #### getActualStatus

          public int getActualStatus()

      Gets the actualStatus value for this CalItemInformation.
      Returns:
        actualStatus Calendar item actual status
      See Also:
        `ECalActualStatuses`

    - #### setActualStatus

          public void setActualStatus(int actualStatus)

      Sets the actualStatus value for this CalItemInformation.
      Parameters:
        `actualStatus` - Calendar item actual status
      See Also:
        `ECalActualStatuses`

    - #### getActualStatusDescription

          public java.lang.String getActualStatusDescription()

      Gets the actualStatusDescription value for this CalItemInformation.
      Returns:
        actualStatusDescription Reason description if item was declined

    - #### setActualStatusDescription

          public void setActualStatusDescription(java.lang.String actualStatusDescription)

      Sets the actualStatusDescription value for this CalItemInformation.
      Parameters:
        `actualStatusDescription` - Reason description if item was declined

    - #### getSavedStatus

          public int getSavedStatus()

      Gets the savedStatus value for this CalItemInformation.
      Returns:
        savedStatus Calendar item saved status

    - #### setSavedStatus

          public void setSavedStatus(int savedStatus)

      Sets the savedStatus value for this CalItemInformation.
      Parameters:
        `savedStatus` - Calendar item saved status

    - #### getItemName

          public java.lang.String getItemName()

      Gets the itemName value for this CalItemInformation.
      Returns:
        itemName Calendar item name

    - #### setItemName

          public void setItemName(java.lang.String itemName)

      Sets the itemName value for this CalItemInformation.
      Parameters:
        `itemName` - Calendar item name

    - #### getItemShortName

          public java.lang.String getItemShortName()

      Gets the itemShortName value for this CalItemInformation.
      Returns:
        itemShortName Calendar item short name

    - #### setItemShortName

          public void setItemShortName(java.lang.String itemShortName)

      Sets the itemShortName value for this CalItemInformation.
      Parameters:
        `itemShortName` - Calendar item short name

    - #### getItemType

          public int getItemType()

      Gets the itemType value for this CalItemInformation.
      Returns:
        itemType Calendar item type ID if any

    - #### setItemType

          public void setItemType(int itemType)

      Sets the itemType value for this CalItemInformation.
      Parameters:
        `itemType` - Calendar item type ID

    - #### getSubmitDate

          public double getSubmitDate()

      Gets the submitDate value for this CalItemInformation.
      Returns:
        submitDate Calendar item submition date and time

    - #### setSubmitDate

          public void setSubmitDate(double submitDate)

      Sets the submitDate value for this CalItemInformation.
      Parameters:
        `submitDate` - Calendar item submition date and time

    - #### getComment

          public java.lang.String getComment()

      Gets the comment value for this CalItemInformation.
      Returns:
        comment Calendar item comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment value for this CalItemInformation.
      Parameters:
        `comment` - Calendar item comment

    - #### getSavedStartTime

          public double getSavedStartTime()

      Gets the savedStartTime value for this CalItemInformation.
      Returns:
        savedStartTime Start time stored in DB

    - #### setSavedStartTime

          public void setSavedStartTime(double savedStartTime)

      Sets the savedStartTime value for this CalItemInformation.
      Parameters:
        `savedStartTime` - Start time stored in DB

    - #### getSavedEndTime

          public double getSavedEndTime()

      Gets the savedEndTime value for this CalItemInformation.
      Returns:
        savedEndTime End time stored in DB

    - #### setSavedEndTime

          public void setSavedEndTime(double savedEndTime)

      Sets the savedEndTime value for this CalItemInformation.
      Parameters:
        `savedEndTime` - End time stored in DB

    - #### getSavedPaidTime

          public int getSavedPaidTime()

      Gets the savedPaidTime value for this CalItemInformation.
      Returns:
        savedPaidTime Paid time stored in DB

    - #### setSavedPaidTime

          public void setSavedPaidTime(int savedPaidTime)

      Sets the savedPaidTime value for this CalItemInformation.
      Parameters:
        `savedPaidTime` - Paid time stored in DB

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this CalItemInformation.
      Returns:
        activitiesArraySize Calendar item related Activities array size

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this CalItemInformation.
      Parameters:
        `activitiesArraySize` - Calendar item related Activities array size

    - #### getActivities

          public java.util.List<java.lang.Integer> getActivities()

      Gets the activities value for this CalItemInformation.
      Returns:
        activities Calendar item related Activities array

    - #### setActivities

          public void setActivities(java.util.List<java.lang.Integer> activities)

      Sets the activities value for this CalItemInformation.
      Parameters:
        `activities` - Calendar item related Activities array

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalItemShortInformation.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalItemShortInformation.
      Parameters:
        `timestamp` -

    - #### getFlag

          public int getFlag()

      Gets the item value for this CalItemShortInformation.
      Returns:
        flag Calendar item flag
      See Also:
        `ECalFlags`

    - #### setFlag

          public void setFlag(int flag)

      Sets the item value for this CalItemShortInformation.
      Parameters:
        `flag` - Calendar item flag
      See Also:
        `ECalFlags`

    - #### getFullDay

          public int getFullDay()

      Gets the item value for this CalItemShortInformation.
      Returns:
        fullDay Full day indicator

    - #### setFullDay

          public void setFullDay(int fullDay)

      Sets the item value for this CalItemShortInformation.
      Parameters:
        `fullDay` - Full day indicator

    - #### withComment

          public CalItemInformation withComment(java.lang.String value)

    - #### withActualStatusDescription

          public CalItemInformation withActualStatusDescription(java.lang.String value)

    - #### withItemName

          public CalItemInformation withItemName(java.lang.String value)

    - #### withItemShortName

          public CalItemInformation withItemShortName(java.lang.String value)

    - #### withTimestamp

          public CalItemInformation withTimestamp(long value)

    - #### withStartTime

          public CalItemInformation withStartTime(double value)

    - #### withEndTime

          public CalItemInformation withEndTime(double value)

    - #### withSavedStartTime

          public CalItemInformation withSavedStartTime(double value)

    - #### withSavedEndTime

          public CalItemInformation withSavedEndTime(double value)

    - #### withSubmitDate

          public CalItemInformation withSubmitDate(double value)

    - #### withDate

          public CalItemInformation withDate(double value)

    - #### withAgentId

          public CalItemInformation withAgentId(int value)

    - #### withFlag

          public CalItemInformation withFlag(int value)

    - #### withFullDay

          public CalItemInformation withFullDay(int value)

    - #### withItem

          public CalItemInformation withItem(int value)

    - #### withItemId

          public CalItemInformation withItemId(int value)

    - #### withItemType

          public CalItemInformation withItemType(int value)

    - #### withPaidTime

          public CalItemInformation withPaidTime(int value)

    - #### withSavedPaidTime

          public CalItemInformation withSavedPaidTime(int value)

    - #### withSavedStatus

          public CalItemInformation withSavedStatus(int value)

    - #### withActualStatus

          public CalItemInformation withActualStatus(int value)

    - #### withSiteId

          public CalItemInformation withSiteId(int value)

    - #### withDuration

          public CalItemInformation withDuration(int value)

    - #### withActivitiesArraySize

          public CalItemInformation withActivitiesArraySize(int value)

    - #### withActivities

          public CalItemInformation withActivities(java.util.Collection<java.lang.Integer> values)

    - #### withActivities

          public CalItemInformation withActivities(java.lang.Integer... values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.